<script type="text/javascript">
<![CDATA[
var width  = (window.screen.width - 150);
var height = (window.screen.height - 150);
var top    = ((window.screen.height - height) / 2);
var left   = ((window.screen.width - width) / 2);

var submitted    = false;
var enable_check = true;

/*
  Fentre de prvisualisation des newsletters
 */
function preview(format)
{
	var subject = document.getElementById('subject').value;
	
	switch( format )
	{
		case 1:
			var nl_data = document.getElementById('body_text').value;
			break;
		
		case 2:
			var nl_data = document.getElementById('body_html').value;
			break;
	}
	
	if( nl_data == '' )
	{
		window.alert('{L_EMPTY_BODY}');
		return false;
	}
	
	var preview  = window.open('about:blank','apercu','width=' + width + ',height=' + height + ',marginleft=2,topmargin=2,left=' + left + ',top=' + top + ',toolbar=0,location=0,directories=0,status=0,scrollbars=1,resizable=0,copyhistory=0,menuBar=0');
	var rex_link = new RegExp("{LINKS}", "gi");
	
	switch( format )
	{
		case 1:
			nl_data = nl_data.replace(rex_link, '{S_REPLACE_LINK_TEXTE}');
			
			preview.document.write('<html><head><title>{L_BODY_TEXT} :: ' + subject + '</title></head><body><pre>' + nl_data + '</pre></body></html>');
		  	break;
		
		case 2:
			var rex_img   = new RegExp("<([^<]+)\"cid:([^\\:*/?<\">|]+)\"([^>]*)?>", "gi");
			var rex_title = new RegExp("<title>.*</title>", "i");
			
			nl_data = nl_data.replace(rex_link, '{S_REPLACE_LINK_HTML}');
			nl_data = nl_data.replace(rex_img, "<$1\"{WAROOT}options/show.php?mode=view&amp;file=$2&amp;sessid={S_SESSID}\"$3>");
			nl_data = nl_data.replace(rex_title, "<title>{L_BODY_HTML} :: " + subject + "</title>");
			
			preview.document.write(nl_data);
		  	break;
	}
	
	return true;
}

function add_links(format)
{
	switch( format )
	{
		case 1:
			var texte = document.getElementById('body_text');
	      	break;
		
		case 2:
			var texte = document.getElementById('body_html');
	        break;
	}
	
	if( texte == '' )
	{
		window.alert('{L_EMPTY_BODY}');
		return false;
	}
	
	if( texte.createTextRange && texte.caretPos )
	{
		texte.caretPos.text = '{LINKS}\n';
	}
	else
	{
		texte.value += '{LINKS}\n';
	}
	
	texte.focus();
	
	return true;
}

// Insert at Claret position. Code from
// http://www.faqts.com/knowledge_base/view.phtml/aid/1052/fid/130
function storeCaret(textEl) {
	if (textEl.createTextRange) textEl.caretPos = document.selection.createRange().duplicate();
}

/*
  Popup d'affichage des fichiers joints de type media
 */
function show(id)
{
	var w = window.open('{WAROOT}options/show.php?id='+id+'&amp;sessid={S_SESSID}','showimage','directories=0,menuBar=0,status=0,location=0,scrollbars=0,resizable=yes,toolbar=0,width=400,height=200,left=20,top=20');
	w.focus();
}

function check_form(Target)
{
	if( enable_check )
	{
		var msg_error = new Array();
		var i = 0;
		
		if( Target.subject.value.length < 3 )
		{
			msg_error[i++] = '{L_EMPTY_SUBJECT}';
		}
		
		if( Target.body_text != null && Target.body_text.value.length < 3 )
		{
			msg_error[i++] = '{L_EMPTY_BODY} (txt)';
		}
		
		if( Target.body_html != null && Target.body_html.value.length < 3 )
		{
			msg_error[i++] = '{L_EMPTY_BODY} (html)';
		}
		
		if( msg_error.length > 0 )
		{
			alert(msg_error.join('\n'));
			return false;
		}
	}
	
	if( submitted )
	{
		alert('{L_PAGE_LOADING}');
		return false;
	}
	
	submitted = true;
	
	return true;
}
]]>
</script>

<div id="explain">
	<p>{L_EXPLAIN}</p>
</div>

<form method="post" action="envoi.php" {S_ENCTYPE} onsubmit="return check_form(this);">
<div class="links">
	<p>[ <a href="envoi.php?mode=load">{L_LOAD_LOG}</a> ] [ <a href="envoi.php?mode=resend">{L_RESEND_LOG}</a> ]</p>
</div>

<div class="bloc">
	<table class="content">
		<tr>
			<td class="medrow1"> <span class="texte">{L_DEST} : </span> </td>
			<td class="row2"> <span class="texte"><b>{S_DEST}</b></span> </td>
		</tr>
		<tr>
			<td class="medrow1"> <label for="subject">{L_SUBJECT} : </label> </td>
			<td class="row2"> <input type="text" id="subject" name="subject" value="{S_SUBJECT}" size="40" maxlength="100" class="text" /> </td>
		</tr>
		<tr>
			<td class="medrow1"> <label for="log_status">{L_STATUS} : </label> </td>
			<td class="row2"> <select id="log_status" name="log_status"><option value="0" {SELECTED_STATUS_WRITING}> - {L_STATUS_WRITING} - </option><option value="3"{SELECTED_STATUS_HANDLE}> - {L_STATUS_HANDLE} - </option></select> </td>
		</tr>
	</table>
</div>

<!-- BEGIN formulaire -->
<div class="bloc">
	<h2>{formulaire.L_TITLE}</h2>
	
	<table class="content">
		<tr>
			<td class="explain"> {formulaire.L_EXPLAIN_BODY} </td>
		</tr>
		<tr>
			<td class="row-full">
				<textarea id="{formulaire.S_TEXTAREA_NAME}" name="{formulaire.S_TEXTAREA_NAME}" cols="90" rows="20" onkeydown="storeCaret(this);" onkeyup="storeCaret(this);" onselect="storeCaret(this);" onclick="storeCaret(this);" class="text">{formulaire.S_BODY}</textarea>
			</td>
		</tr>
	</table>
	
	<div class="bottom">
		<input type="button" value="{L_PREVIEW_BUTTON}" onclick="preview({formulaire.S_FORMAT});" class="button" /> <input type="button" value="{L_LINK}" onclick="add_links({formulaire.S_FORMAT});" class="button" />
	</div>
</div>
<!-- END formulaire -->

<!-- BEGIN joined_files -->
<div class="bloc">
	<h2>{joined_files.L_TITLE_ADD_FILE}</h2>
	
	<table class="content">
		<tr>
			<td class="explain" colspan="2"> {joined_files.L_EXPLAIN_ADD_FILE} </td>
		</tr>
		<tr>
			<td rowspan="{joined_files.S_ROWSPAN}" class="medrow1"> <label for="join_file">{joined_files.L_ADD_FILE} :</label> </td>
			<td class="row2"> <input type="text" id="join_file" name="join_file" size="30" class="text" /> </td>
		</tr>
		<!-- BEGIN upload_input -->
		<tr>
			<td class="row2"> <input type="file" name="join_file" size="30" /> </td>
		</tr>
		<!-- END upload_input -->
		<!-- BEGIN select_box -->
		<tr>
			<td class="row2"> {joined_files.select_box.SELECT_BOX} </td>
		</tr>
		<!-- END select_box -->
		<tr>
			<td class="row2"> <input type="submit" name="attach" value="{joined_files.L_ADD_FILE_BUTTON}" class="button" /> </td>
		</tr>
	</table>
	
	<!-- BEGIN files_box -->
	<h2>{joined_files.files_box.L_TITLE_JOINED_FILES}</h2>
	
	{JOINED_FILES_BOX}
	<!-- END files_box -->
</div>

<!-- BEGIN files_box -->
<div id="nav-bottom">
	<div class="left">&nbsp;</div>
	<div class="right"> <input type="submit" name="unattach" value="{joined_files.files_box.L_DEL_FILE_BUTTON}" onclick="enable_check = false;" class="button" /> </div>
</div>
<!-- END files_box -->
<!-- END joined_files -->

<div class="bloc">
	<div class="bottom"> {S_HIDDEN_FIELDS}
		<input type="submit" name="send" value="{L_SEND_BUTTON}" onclick="enable_check = true;" class="button" /> 
		<input type="submit" name="save" value="{L_SAVE_BUTTON}" onclick="enable_check = true;" class="pbutton" tabindex="1" /> 
		<input type="submit" name="delete" value="{L_DELETE_BUTTON}" onclick="enable_check = false;" class="button" />
	</div>
</div>
</form>

{LISTBOX}
